Cohorts
Get All Cohorts
AuthorizationBearer <token>
In: header
Query Parameters
page?number
Page number
Default
1Range
1 <= valueper_page?number
Number of cohorts per page
Default
20Range
1 <= value <= 100program_id?string
Filter by program ID
Default
nullFormat
uuidstatus?string
Filter by status (values: draft, published, archived)
Default
nullValue in
"draft" | "published" | "archived"search?string
Search in cohort title and description
Default
nullinstructor_id?array<unknown>
Filter by instructor IDs
Default
nulldate_range?string
Filter by date range (format: "start_date,end_date", e.g., "2025-09-10,2025-10-19")
Default
nullResponse Body
curl -X GET "https://edushade.com/api/v1/admin/learning/cohorts?page=1&per_page=20&status=draft"{}Empty
Empty
Empty